Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDatascroller

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDatascroller

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.event.DataScrollerSource

Direct Known Subclasses:
  HtmlDatascroller

    public abstract class UIDatascroller

extends org.ajax4jsf.component.AjaxActionComponent
implements org.richfaces.event.DataScrollerSource, javax.faces.component.ActionSource

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `FAST_FORWARD_DISABLED_FACET_NAME`
`static java.lang.String` | `FAST_FORWARD_FACET_NAME`
`static java.lang.String` | `FAST_REWIND_DISABLED_FACET_NAME`
`static java.lang.String` | `FAST_REWIND_FACET_NAME`
`static java.lang.String` | `FIRST_DISABLED_FACET_NAME`
`static java.lang.String` | `FIRST_FACET_NAME`
`static java.lang.String` | `LAST_DISABLED_FACET_NAME`
`static java.lang.String` | `LAST_FACET_NAME`
`static java.lang.String` | `NEXT_DISABLED_FACET_NAME`
`static java.lang.String` | `NEXT_FACET_NAME`
`static java.lang.String` | `PREVIOUS_DISABLED_FACET_NAME`
`static java.lang.String` | `PREVIOUS_FACET_NAME`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIDatascroller()`

Method Summary
`void` | `addScrollerListener(org.richfaces.event.DataScrollerListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`abstract java.lang.String` | `getAlign()`
`abstract java.lang.String` | `getBoundaryControls()`
`javax.faces.component.UIData` | `getDataTable()` Finds the dataTable which id is mapped to the "for" property
`abstract java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getFastControls()`
`javax.faces.component.UIComponent` | `getFastForward()`
`javax.faces.component.UIComponent` | `getFastRewind()`
`abstract int` | `getFastStep()`
`javax.faces.component.UIComponent` | `getFirst()`
`int` | `getFirstRow(javax.faces.component.UIData data)`
`abstract java.lang.String` | `getFor()`
`abstract java.lang.String` | `getInactiveStyle()`
`abstract java.lang.String` | `getInactiveStyleClass()`
`javax.faces.component.UIComponent` | `getLast()`
`abstract int` | `getMaxPages()`
`javax.faces.component.UIComponent` | `getNext()`
`int` | `getPageCount()`
`int` | `getPageCount(javax.faces.component.UIData data)`
`int` | `getPageIndex()` Gets the index of the current page
`int` | `getPageIndex(javax.faces.component.UIData uiData)`
`javax.faces.component.UIComponent` | `getPrevious()`
`abstract int` | `getRequestDelay()`
`int` | `getRowCount()`
`int` | `getRowCount(javax.faces.component.UIData data)`
`int` | `getRows(javax.faces.component.UIData data)`
`abstract javax.faces.el.MethodBinding` | `getScrollerListener()`
`org.richfaces.event.DataScrollerListener[]` | `getScrollerListeners()`
`abstract java.lang.String` | `getSelectedStyle()`
`abstract java.lang.String` | `getSelectedStyleClass()`
`abstract java.lang.String` | `getStepControls()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTableStyleClass()`
`abstract boolean` | `isAjaxSingle()`
`abstract boolean` | `isRenderIfSinglePage()`
`void` | `removeScrollerListener(org.richfaces.event.DataScrollerListener listener)`
`abstract void` | `setAjaxSingle(boolean ajaxSingle)`
`abstract void` | `setAlign(java.lang.String align)`
`abstract void` | `setBoundaryControls(java.lang.String boundaryControls)`
`abstract void` | `setEventsQueue(java.lang.String eventsQueue)`
`abstract void` | `setFastControls(java.lang.String fastControls)`
`abstract void` | `setFastStep(int FastStep)`
`void` | `setFirstRow(int rows)`
`abstract void` | `setFor(java.lang.String f)`
`abstract void` | `setInactiveStyle(java.lang.String inactiveStyle)`
`abstract void` | `setInactiveStyleClass(java.lang.String inactiveStyleClass)`
`abstract void` | `setMaxPages(int maxPages)`
`void` | `setPage(java.lang.String facetName)` Sets the page number according to the parameter recived from the commandLink
`abstract void` | `setRenderIfSinglePage(boolean renderIfSinglePage)`
`abstract void` | `setRequestDelay(int requestDelay)`
`abstract void` | `setScrollerListener(javax.faces.el.MethodBinding scrollerListener)`
`abstract void` | `setSelectedStyle(java.lang.String selectedStyle)`
`abstract void` | `setSelectedStyleClass(java.lang.String selectedStyleClass)`
`abstract void` | `setStepControls(java.lang.String stepControls)`
`abstract void` | `setStyle(java.lang.String styleClass)`
`abstract void` | `setStyleClass(java.lang.String styleClass)`
`abstract void` | `setTableStyleClass(java.lang.String tableStyleClass)`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, restoreState, saveState, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getFocus, getOnbeforedomupdate, getOncomplete, getReRender, getStatus, getTimeout, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setBypassUpdates, setData, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setReRender, setStatus, setTimeout`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### FIRST_FACET_NAME

    public static final java.lang.String FIRST_FACET_NAME

See Also:
  Constant Field Values

### LAST_FACET_NAME

    public static final java.lang.String LAST_FACET_NAME

See Also:
  Constant Field Values

### NEXT_FACET_NAME

    public static final java.lang.String NEXT_FACET_NAME

See Also:
  Constant Field Values

### PREVIOUS_FACET_NAME

    public static final java.lang.String PREVIOUS_FACET_NAME

See Also:
  Constant Field Values

### FAST_FORWARD_FACET_NAME

    public static final java.lang.String FAST_FORWARD_FACET_NAME

See Also:
  Constant Field Values

### FAST_REWIND_FACET_NAME

    public static final java.lang.String FAST_REWIND_FACET_NAME

See Also:
  Constant Field Values

### FIRST_DISABLED_FACET_NAME

    public static final java.lang.String FIRST_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### LAST_DISABLED_FACET_NAME

    public static final java.lang.String LAST_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### NEXT_DISABLED_FACET_NAME

    public static final java.lang.String NEXT_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### PREVIOUS_DISABLED_FACET_NAME

    public static final java.lang.String PREVIOUS_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### FAST_FORWARD_DISABLED_FACET_NAME

    public static final java.lang.String FAST_FORWARD_DISABLED_FACET_NAME

See Also:
  Constant Field Values

### FAST_REWIND_DISABLED_FACET_NAME

    public static final java.lang.String FAST_REWIND_DISABLED_FACET_NAME

See Also:
  Constant Field Values

Constructor Detail

### UIDatascroller

    public UIDatascroller()

Method Detail

### addScrollerListener

    public void addScrollerListener(org.richfaces.event.DataScrollerListener listener)

  Specified by:
    `addScrollerListener` in interface `org.richfaces.event.DataScrollerSource`

### getScrollerListeners

    public org.richfaces.event.DataScrollerListener[] getScrollerListeners()

  Specified by:
    `getScrollerListeners` in interface `org.richfaces.event.DataScrollerSource`

### removeScrollerListener

    public void removeScrollerListener(org.richfaces.event.DataScrollerListener listener)

  Specified by:
    `removeScrollerListener` in interface `org.richfaces.event.DataScrollerSource`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `org.ajax4jsf.component.AjaxActionComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getScrollerListener

    public abstract javax.faces.el.MethodBinding getScrollerListener()

### setScrollerListener

    public abstract void setScrollerListener(javax.faces.el.MethodBinding scrollerListener)

### setFor

    public abstract void setFor(java.lang.String f)

### getFor

    public abstract java.lang.String getFor()

### getFastStep

    public abstract int getFastStep()

### setFastStep

    public abstract void setFastStep(int FastStep)

### isRenderIfSinglePage

    public abstract boolean isRenderIfSinglePage()

### setRenderIfSinglePage

    public abstract void setRenderIfSinglePage(boolean renderIfSinglePage)

### getMaxPages

    public abstract int getMaxPages()

### setMaxPages

    public abstract void setMaxPages(int maxPages)

### getSelectedStyleClass

    public abstract java.lang.String getSelectedStyleClass()

### setSelectedStyleClass

    public abstract void setSelectedStyleClass(java.lang.String selectedStyleClass)

### getSelectedStyle

    public abstract java.lang.String getSelectedStyle()

### setSelectedStyle

    public abstract void setSelectedStyle(java.lang.String selectedStyle)

### getEventsQueue

    public abstract java.lang.String getEventsQueue()

  Specified by:
    `getEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`

### setEventsQueue

    public abstract void setEventsQueue(java.lang.String eventsQueue)

  Specified by:
    `setEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`

### isAjaxSingle

    public abstract boolean isAjaxSingle()

  Specified by:
    `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

### setAjaxSingle

    public abstract void setAjaxSingle(boolean ajaxSingle)

  Specified by:
    `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`

### getRequestDelay

    public abstract int getRequestDelay()

  Specified by:
    `getRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`

### setRequestDelay

    public abstract void setRequestDelay(int requestDelay)

  Specified by:
    `setRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`

### getTableStyleClass

    public abstract java.lang.String getTableStyleClass()

### setTableStyleClass

    public abstract void setTableStyleClass(java.lang.String tableStyleClass)

### getStyleClass

    public abstract java.lang.String getStyleClass()

### getStyle

    public abstract java.lang.String getStyle()

### setStyleClass

    public abstract void setStyleClass(java.lang.String styleClass)

### setStyle

    public abstract void setStyle(java.lang.String styleClass)

### getAlign

    public abstract java.lang.String getAlign()

### setAlign

    public abstract void setAlign(java.lang.String align)

### getBoundaryControls

    public abstract java.lang.String getBoundaryControls()

### setBoundaryControls

    public abstract void setBoundaryControls(java.lang.String boundaryControls)

### getFastControls

    public abstract java.lang.String getFastControls()

### setFastControls

    public abstract void setFastControls(java.lang.String fastControls)

### getStepControls

    public abstract java.lang.String getStepControls()

### setStepControls

    public abstract void setStepControls(java.lang.String stepControls)

### getInactiveStyleClass

    public abstract java.lang.String getInactiveStyleClass()

### getInactiveStyle

    public abstract java.lang.String getInactiveStyle()

### setInactiveStyleClass

    public abstract void setInactiveStyleClass(java.lang.String inactiveStyleClass)

### setInactiveStyle

    public abstract void setInactiveStyle(java.lang.String inactiveStyle)

### getDataTable

    public javax.faces.component.UIData getDataTable()

  Finds the dataTable which id is mapped to the "for" property

  Returns:
    the dataTable component

### getPageIndex

    public int getPageIndex(javax.faces.component.UIData uiData)

### getPageIndex

    public int getPageIndex()

  Gets the index of the current page

  Returns:
    the page index

### setPage

    public void setPage(java.lang.String facetName)

  Sets the page number according to the parameter recived from the commandLink

  Parameters:
    `facetName` - - can be "first:, "last", "next", "previous", "fastforward", "fastrewind"

### getPageCount

    public int getPageCount(javax.faces.component.UIData data)

### getPageCount

    public int getPageCount()

  Returns:
    the page count of the uidata

### getRowCount

    public int getRowCount(javax.faces.component.UIData data)

### getRowCount

    public int getRowCount()

  Returns:
    int

### getRows

    public int getRows(javax.faces.component.UIData data)

### getFirst

    public javax.faces.component.UIComponent getFirst()

### getLast

    public javax.faces.component.UIComponent getLast()

### getNext

    public javax.faces.component.UIComponent getNext()

### getFastForward

    public javax.faces.component.UIComponent getFastForward()

### getFastRewind

    public javax.faces.component.UIComponent getFastRewind()

### getPrevious

    public javax.faces.component.UIComponent getPrevious()

### getFirstRow

    public int getFirstRow(javax.faces.component.UIData data)

### setFirstRow

    public void setFirstRow(int rows)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.